WebSphere Application Server hiba

CH azonosító

CH-12779

Angol cím

Vulnerability in Apache Commons affects IBM WebSphere Application Server

Felfedezés dátuma

2015.11.12.

Súlyosság

Magas

Érintett rendszerek

IBM
WebSphere Application Server

Érintett verziók

IBM WebSphere Application Server 7.0.x
IBM WebSphere Application Server 8.0.x
IBM WebSphere Application Server 8.5.x

Összefoglaló

Az IBM WebSphere Application Server sérülékenysége vált ismertté, amely jogosulatlan távoli kódfuttatásra és műveletvégrehajtásra adhat módot.

Leírás

A biztonsági hiba az Apache Commons Collections egyik sérülékenysége miatt merült fel, és Java objektumok esetenkénti nem megfelelő kezelésére vezethető vissza (az InvokerTransformer osztály kapcsán).

Az IBM HTTP Server ezúttal nem érintett.

Megoldás

Az IBM által kiadott patch-ek telepítése (Interim Fix PI52103).